import Kauf from 'src/components/Kauf/Kauf'

export const QUERY = gql`
  query FindKaufById($id: Int!) {
    kauf: kauf(id: $id) {
      id
      timestamp
      preis_ges
    }
  }
`

export const Loading = () => <div>Loading...</div>

export const Empty = () => <div>Kauf not found</div>

export const Failure = ({ error }) => (
  <div className="rw-cell-error">{error?.message}</div>
)

export const Success = ({ kauf }) => {
  return <Kauf kauf={kauf} />
}
